[Geschlossen] ChromeDriver-Version zu niedrig weil kein Update oder zu hoch weil manuelle Test-Version

Hier gibt es Support zu den Plugin der neuesten Generation des Hibiscus-Mashup Projekts von Sebastian Richter
BlackMage
Beiträge: 20
Registriert: Fr 11. Nov 2022, 17:13

Re: Hibiscus Mashup mit Advanzia KK: Fehler

Beitrag von BlackMage » Fr 11. Nov 2022, 19:50

ähm ja, mache ich vllt später NACHDEM ich ein backup angelegt habe..

ich habe erstmal genug mit jameica herumgespielt
Zuletzt geändert von BlackMage am Fr 11. Nov 2022, 19:51, insgesamt 1-mal geändert.

hbci
VIP
VIP
Beiträge: 423
Registriert: Sa 7. Mär 2020, 15:01

Re: Hibiscus Mashup mit Advanzia KK: Fehler

Beitrag von hbci » Fr 11. Nov 2022, 19:51

Das macht Jameica ja automatisch bei jedem Schließen des Programms.

BlackMage
Beiträge: 20
Registriert: Fr 11. Nov 2022, 17:13

Re: Hibiscus Mashup mit Advanzia KK: Fehler

Beitrag von BlackMage » Fr 11. Nov 2022, 20:02

kann ich eig. alles was in .jameica/plugins/ ist, ohne Probleme nach jameica/plugins/ verschieben?

Benutzeravatar
Hibiscus-Scripter
Administrator
Administrator
Beiträge: 2150
Registriert: Mi 30. Okt 2013, 17:14
Wohnort: Würzburg

Re: Hibiscus Mashup mit Advanzia KK: Fehler

Beitrag von Hibiscus-Scripter » Fr 11. Nov 2022, 20:34

BlackMage hat geschrieben:
Fr 11. Nov 2022, 17:23
aufjedenfall kann ich den Browser unter ~/.chrome-headless/chrome-linux starten, komischerweise hat das die Version 107.0.5304.0 ich verstehe nicht warum da das ChromeDriver in der Version 108.0.5359.22 erwartet wird?
Hallo,

es wir eben nicht der Driver in der Version 108 erwartet sondern passend zum Browser in der Version 107. ;-)
Ich verstehe auch nicht warum jemand ein Plugin installiert welches im Namen ja schon Test- stehen hat und sich dann wundert warum etwas nicht mehr funktioniert. :crazy:
Zur besseren Erläuterung habe ich hier das Ganze nochmals zusammengefasst und für dich zählt Punkt #2:
viewtopic.php?f=34&t=992&p=7513#p7513

Du solltest das Test-Repository in Zukunft einfach meiden und vor allem aus der Repository-Konfiguration von Jameica entfernen.

Gruß :wave:
... wer lesen kann ist wie immer im klaren Vorteil ...

:!: Vor dem Posten: Bitte die Posting-Regeln für neue Beiträge lesen und bitte auch immer alle 4. Punkte zur Fehlermeldung beachten (Der Post wird ansonsten gelöscht)

:idea: Hilfe und Informationen zu den Test- und Nightly-Builds und deren Installation findet Ihr z. B. im Tipps und Tricks-Forum (Weitere hilfreiche Artikel findet man in der FAQ auf der Projekt-Website)

Wer ein Dankeschön für die Arbeit und Unkosten senden möchte, kann gerne auch :arrow: Spenden

Benutzeravatar
Hibiscus-Scripter
Administrator
Administrator
Beiträge: 2150
Registriert: Mi 30. Okt 2013, 17:14
Wohnort: Würzburg

Re: Wiederholtes herunterladen des ChromeDriver

Beitrag von Hibiscus-Scripter » Fr 11. Nov 2022, 20:37

Hallo,

wie bereits schon erwähnt, halte dich bitte immer an die Foren-Regeln für neue Beiträge.

Naja welche Browser-Version er installiert hat, sieht man ja wenigstens (107.x.x).
Und es wird nicht der ChromeDriver also das Plugin in Jameica runtergeladen, sondern der Web-Browser (Chromium).

Von daher steht in der neuen Erklärung die ich extra nochmal geschrieben habe alles was du brauchst, einfach mal ein Update machen wie es im Log stand, bevor man sich wundert wenn etwas nicht mehr geht ;-)
Für dich zählt hier Punkt #1:
viewtopic.php?f=34&t=992&p=7513#p7513

Gruß :wave:
... wer lesen kann ist wie immer im klaren Vorteil ...

:!: Vor dem Posten: Bitte die Posting-Regeln für neue Beiträge lesen und bitte auch immer alle 4. Punkte zur Fehlermeldung beachten (Der Post wird ansonsten gelöscht)

:idea: Hilfe und Informationen zu den Test- und Nightly-Builds und deren Installation findet Ihr z. B. im Tipps und Tricks-Forum (Weitere hilfreiche Artikel findet man in der FAQ auf der Projekt-Website)

Wer ein Dankeschön für die Arbeit und Unkosten senden möchte, kann gerne auch :arrow: Spenden

Benutzeravatar
Hibiscus-Scripter
Administrator
Administrator
Beiträge: 2150
Registriert: Mi 30. Okt 2013, 17:14
Wohnort: Würzburg

Re: Hibiscus Mashup mit Advanzia KK: Fehler

Beitrag von Hibiscus-Scripter » Fr 11. Nov 2022, 20:41

gochbewohner hat geschrieben:
Fr 11. Nov 2022, 17:46
Du hast den Chromedriver 108 installiert, daher kommt diese Meldung. Er läd dann den Chromedriver 107 herunter. Wahrscheinlich hast du den Nightly Chromedriver heruntergeladen.
Die Nightly sollte man nur installieren, wenn dein System schon den neuen Chrome installiert hat und die stable Version des Chromedrivers noch nicht aktualisiert wurde.
Abhilfe: unter Jamaica das Verzeichnis des Drivers löschen und die Version 107 wieder installieren.
Danke für deine Hilfe, aber bitte die Leute nicht verwirren ;-) und den Web-Browser Chromium (oder Chrome der auch nur auf Chromium basiert) und das ChromeDriver-Plugin das ja schon in Jameica ist, miteinander verwechseln ;-)

Nachgeladen wird der Browser nicht der Driver.
Hier mal ganz genau Erläutert:
viewtopic.php?f=34&t=992&p=7513#p7513

Gruß :wave:
... wer lesen kann ist wie immer im klaren Vorteil ...

:!: Vor dem Posten: Bitte die Posting-Regeln für neue Beiträge lesen und bitte auch immer alle 4. Punkte zur Fehlermeldung beachten (Der Post wird ansonsten gelöscht)

:idea: Hilfe und Informationen zu den Test- und Nightly-Builds und deren Installation findet Ihr z. B. im Tipps und Tricks-Forum (Weitere hilfreiche Artikel findet man in der FAQ auf der Projekt-Website)

Wer ein Dankeschön für die Arbeit und Unkosten senden möchte, kann gerne auch :arrow: Spenden

BlackMage
Beiträge: 20
Registriert: Fr 11. Nov 2022, 17:13

Re: Hibiscus Mashup mit Advanzia KK: Fehler

Beitrag von BlackMage » Fr 11. Nov 2022, 20:49

aufjedenfall hat ieine Version die falsche Version geladen

sprich ein Plugin hat eine Version geladen, hat aber eine andere Version erwartet und deswegen immer verworfen und neu geladen. aber die Version die heruntergeladen wurde war zu alt und wurde deswegen immer wieder verworfen

Benutzeravatar
Hibiscus-Scripter
Administrator
Administrator
Beiträge: 2150
Registriert: Mi 30. Okt 2013, 17:14
Wohnort: Würzburg

Re: Hibiscus Mashup mit Advanzia KK: Fehler

Beitrag von Hibiscus-Scripter » Fr 11. Nov 2022, 21:07

ja klar es wird halt immer der aktuelle Web-Browser in der aktuellen "stabilen" Version geladen.
Da kann das Mashup-Plugin auch nichts dafür und läd halt nicht die Beta-Version von Chrome/Chromium herunter wenn du die Test-Version des ChromeDrivers installierst. Die Version 108 gibt es noch nicht als "Stabile" Version. Aktuell ist Chrome 107.
Und deine Fehlermeldung sagt dir ja auch genau das:
This version of ChromeDriver only supports Chrome version 108)
Daher der Link zur Erläuterung:
viewtopic.php?f=34&t=992&p=7513#p7513

Gruß :wave:
... wer lesen kann ist wie immer im klaren Vorteil ...

:!: Vor dem Posten: Bitte die Posting-Regeln für neue Beiträge lesen und bitte auch immer alle 4. Punkte zur Fehlermeldung beachten (Der Post wird ansonsten gelöscht)

:idea: Hilfe und Informationen zu den Test- und Nightly-Builds und deren Installation findet Ihr z. B. im Tipps und Tricks-Forum (Weitere hilfreiche Artikel findet man in der FAQ auf der Projekt-Website)

Wer ein Dankeschön für die Arbeit und Unkosten senden möchte, kann gerne auch :arrow: Spenden

BlackMage
Beiträge: 20
Registriert: Fr 11. Nov 2022, 17:13

Re: Hibiscus Mashup mit Advanzia KK: Fehler

Beitrag von BlackMage » Fr 11. Nov 2022, 21:11

ChromeDriver 108 lädt aber chrome 107 runter und meckert weil es 108 erwartet

Benutzeravatar
Hibiscus-Scripter
Administrator
Administrator
Beiträge: 2150
Registriert: Mi 30. Okt 2013, 17:14
Wohnort: Würzburg

Re: Hibiscus Mashup mit Advanzia KK: Fehler

Beitrag von Hibiscus-Scripter » Fr 11. Nov 2022, 21:16

Nochmal, ein letztes Mal :wtf:

ChromeDriver läd gar nichts. Das ist eine Schnittstelle. Bitte lese die Beschreibung viewtopic.php?f=34&t=992&p=7513#p7513

Das WebSync-Script läd den Web-Browser wenn er nicht vorhanden ist oder nicht "aktuell" sein sollte immer in der aktuell, stabilen nach. Und die ist im Moment 107.

Du hast dieses Test-Plugin selbst installiert und hast dadurch die Situation geschaffen, dass ist daher kein Fehler der einfach so auftritt.
... wer lesen kann ist wie immer im klaren Vorteil ...

:!: Vor dem Posten: Bitte die Posting-Regeln für neue Beiträge lesen und bitte auch immer alle 4. Punkte zur Fehlermeldung beachten (Der Post wird ansonsten gelöscht)

:idea: Hilfe und Informationen zu den Test- und Nightly-Builds und deren Installation findet Ihr z. B. im Tipps und Tricks-Forum (Weitere hilfreiche Artikel findet man in der FAQ auf der Projekt-Website)

Wer ein Dankeschön für die Arbeit und Unkosten senden möchte, kann gerne auch :arrow: Spenden

Zurück zu „Hibiscus Mashup über Finance.Websync - (Beta 0.x = neue Release 3 der alten Scripte)“